# Interface SimpleMarkerSymbolDXF

Simple marker symbol used for rendering point entities.

interface SimpleMarkerSymbolDXF {
color?: number[];
size: number;
style:
| "cross"
| "none"
| "circle"
| "triangle"
| "x"
| "path"
| "square"
| "diamond";
type: "simple-marker";
}

#####
Index

### Properties

color?
size
style
type

##
Properties

### `Optional` color

color?: number[]

Optional fill color as RGBA array.

### size

size: number

Marker size in pixels or map units.

### style

style:
| "cross"
| "none"
| "circle"
| "triangle"
| "x"
| "path"
| "square"
| "diamond"

Marker shape style.

### type

type

Marker symbol type (always "simple-marker").